<template>
    <div class="flex justiy-center align-items-center">
        <Dropdown
            class="p-dropdown-large flex-grow py-1"
            v-model="hour"
            :options="hours"
            placeholder="HH"
        />
        <div class="mx-1">:</div>
        <Dropdown
            class="p-dropdown-large flex-grow py-1"
            v-model="minute"
            :options="minutes"
            placeholder="MM"
        />
        <div class="mx-1">/</div>
        <Dropdown
            class="p-dropdown-large flex-grow py-1"
            v-model="format"
            :options="formats"
            placeholder="AM/PM"
        />
    </div>
</template>

<script setup>
import { computed, defineProps, reactive, ref, watch } from 'vue'

const emit = defineEmits(['change', 'delete'])

const hour = ref('12')
const minute = ref('00')
const format = ref('AM')

// hours from 00 to 12
const hours = computed(() => {
    const hours = []
    for (let i = 1; i <= 12; i++) {
        hours.push(i < 10 ? `0${i}` : i.toString())
    }
    return hours
})

// minutes from 00 to 59 with step of 5
const minutes = computed(() => {
    const minutes = []
    for (let i = 0; i < 60; i += 5) {
        minutes.push(i < 10 ? `0${i}` : i)
    }
    return minutes
})

const formats = ['AM', 'PM']

watch(() => {
    return `${hour.value}:${minute.value} ${format.value}`
}, (value) => {
    emit('change', value)
})

</script>

<style scoped>
a {
    color: #42b983;
}
</style>